# ClipboardHandlerTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ClipboardHandlerTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ClipboardHandlerTable

-     public class ClipboardHandlerTable
      extends java.lang.Object

  Supports interaction with the system clipboard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClipboardHandlerTable(org.eclipse.swt.widgets.Table table)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy()` Copies the table's contents to the clipboard.
    `org.eclipse.swt.widgets.Menu` | `getMenu()` Creates a pop up menu for this handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClipboardHandlerTable

          public ClipboardHandlerTable(org.eclipse.swt.widgets.Table table)

      Creates a new instance.
      Parameters:
        `table` -

  - ### Method Detail

    - #### copy

          public void copy()

      Copies the table's contents to the clipboard.

    - #### getMenu

          public org.eclipse.swt.widgets.Menu getMenu()

      Creates a pop up menu for this handler.
      Returns: